For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
              • GETList Customs Information
              • PUTUpsert Customs Information
              • DELDelete Customs Information
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementShippingV3Customs Information

Upsert Customs Information

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/shipping/products/customs-information
PUT
/stores/:store_hash/v3/shipping/products/customs-information
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/shipping/products/customs-information \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "product_id": 77,
> "country_of_origin": "US",
> "commodity_description": "Baseball caps",
> "international_shipping": true,
> "hs_codes": {
> "CA": "508313",
> "AU": "817355",
> "ALL": "501000"
> }
> }
>]'
200Updated
1{
2 "data": [
3 {
4 "product_id": 77,
5 "country_of_origin": "US",
6 "commodity_description": "Baseball caps",
7 "international_shipping": true,
8 "hs_codes": {
9 "ALL": "501000",
10 "CA": "508313",
11 "US": "641000",
12 "AU": "817355"
13 },
14 "created_at": {},
15 "updated_at": {}
16 }
17 ]
18}
Creates and updates product customs information. This is a batch operation where the creation of multiple customs information objects can be done with one `PUT` request. **Limits** * Limit of 50 customs information objects per `PUT` request.
Was this page helpful?
Previous

List Customs Information

Next

Delete Customs Information

Built with

Creates and updates product customs information.

This is a batch operation where the creation of multiple customs information objects can be done with one PUT request.

Limits

  • Limit of 50 customs information objects per PUT request.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects a list of objects.
product_idintegerRequired
The product ID to which the customs information data applies.
country_of_originstringRequired

The country of manufacture, production, or growth represented in ISO 3166-1 alpha-2 format.

commodity_descriptionstringRequired0-100 characters
Description that provides information for customs to identify and verify the shapes, physical characteristics, and packaging of each shipment.
international_shippingbooleanRequired
Flag to determine whether this product will be shipped internationally.
hs_codesobjectRequired

Key-value pairs that are commonly used in the following form:

countryISO2: '/^[0-9A-Za-z]{6,14}$/'

This key-value pair represents a country and the associated hs_code that applies to that country.

You can also use the ALL key in place of an ISO2 key to specify that the hs_code applies to all countries. The ALL key can be combined with other countries in the hs_code object.

Response

OK
datalist of objects

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.